Qt3DInput::QAbstractPhysicalDeviceProxy acts as a proxy for an actual Qt3DInput::QQAbstractPhysicalDevice device.">

- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DInput
- QAbstractPhysicalDeviceProxy
- Qt 6.5.1 Reference Documentation

# QAbstractPhysicalDeviceProxy Class

class Qt3DInput::QAbstractPhysicalDeviceProxy

Qt3DInput::QAbstractPhysicalDeviceProxy acts as a proxy for an actual Qt3DInput::QQAbstractPhysicalDevice device. More...

Header: | #include <QAbstractPhysicalDeviceProxy>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dinput) target_link_libraries(mytarget PRIVATE Qt6::3dinput)
qmake: | QT += 3dinput
Inherits: | Qt3DInput::QAbstractPhysicalDevice

- List of all members, including inherited members

## Public Functions

QString | deviceName() const
Qt3DInput::QAbstractPhysicalDeviceProxy::DeviceStatus | status() const

## Signals

void | statusChanged(QAbstractPhysicalDeviceProxy::DeviceStatus status)

## Detailed Description

Qt3DInput::QAbstractPhysicalDeviceProxy can be used to facilitate exposing a physical device to users. It alleviates the need to introspect the axis and buttons based on their names.

It is typcally used through subclassing allowing to set the device name and defining enums for the various axis and buttons of your targeted device.

At runtime, the status property will be updated to reflect whether an actual device matching the device name could be created.